headless lms

List the library files each activity of a course uses

GET /api/courses/{courseId}/activity-assets. List the library files each activity of a course uses. Headless LMS Content API reference.

GET
/api/courses/{courseId}/activity-assets

Requires courses:read. One row per activity and file, as recorded when the activity was saved.

Path Parameters

courseId*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/courses/string/activity-assets"
[  {    "orgId": "string",    "id": "string",    "activityId": "string",    "assetId": "string",    "seq": -9007199254740991,    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }]
{  "error": "string",  "message": "string",  "requestId": "string",  "issues": [    {      "path": "string",      "message": "string"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}